#include <bits/stdc++.h>
#define endl '\n'
using namespace std;
const int maxval=1e6+5;
const int maxn=5*1e5+5;
int n,q;
int a[maxn];
int bg[maxval];
int maxx;
void read()
{
    maxx=1e6;
    cin>>n>>q;
    for(int i=1;i<=n;i++)
    {
        cin>>a[i];
        bg[a[i]]++;
        maxx=max(maxx,a[i]);
    }
}

struct tree
{
    int cnt,even,odd;
    tree(){}
    tree(int c,int e,int o)
    {
        cnt=c;
        even=e;
        odd=o;
    }
};
tree t[4*maxval];
void build(int i,int l,int r)
{
    if(l==r)
    {
        t[i].cnt=bg[l];
        t[i].even=t[i].cnt/2*l;
        t[i].odd=(t[i].cnt/2+t[i].cnt%2)*l;
        return;
    }
    int m=(l+r)/2;
    build(i*2,l,m);
    build(i*2+1,m+1,r);

    t[i].cnt=t[i*2].cnt+t[i*2+1].cnt;
    if(t[i*2].cnt%2==0)
    {
        t[i].even=t[i*2].even+t[i*2+1].even;
        t[i].odd=t[i*2].odd+t[i*2+1].odd;
    }
    else
    {
        t[i].even=t[i*2].even+t[i*2+1].odd;
        t[i].odd=t[i*2].odd+t[i*2+1].even;
    }
    //cout<<l<<" "<<r<<" "<<t[i].cnt<<" "<<t[i].even<<" "<<t[i].odd<<endl;
}


void update(int i,int l,int r,int idx,int val)
{
    if(l==r)
    {
        t[i].cnt+=val;
        t[i].even=t[i].cnt/2*l;
        t[i].odd=(t[i].cnt/2+t[i].cnt%2)*l;
        return;
    }
    int m=(l+r)/2;
    if(idx<=m)update(i*2,l,m,idx,val);
    else update(i*2+1,m+1,r,idx,val);

    t[i].cnt=t[i*2].cnt+t[i*2+1].cnt;
    if(t[i*2].cnt%2==0)
    {
        t[i].even=t[i*2].even+t[i*2+1].even;
        t[i].odd=t[i*2].odd+t[i*2+1].odd;
    }
    else
    {
        t[i].even=t[i*2].even+t[i*2+1].odd;
        t[i].odd=t[i*2].odd+t[i*2+1].even;
    }
    //cout<<l<<" "<<r<<" "<<t[i].cnt<<" "<<t[i].even<<" "<<t[i].odd<<endl;
}
void solve()
{
    build(1,1,maxx);
    if(n%2==0)cout<<t[1].even<<endl;
    else cout<<t[1].odd<<endl;
    for(int i=1;i<=q;i++)
    {
        int x,v;
        cin>>x>>v;
        update(1,1,maxx,a[x],-1);
        a[x]=v;
        update(1,1,maxx,a[x],1);

        if(n%2==0)cout<<t[1].even<<endl;
        else cout<<t[1].odd<<endl;
    }
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    read();
    solve();
    return 0;
}
