#include <bits/stdc++.h>;
using namespace std;
const long long maxc=1e9+5;
const long long maxn=5*1e5+5;
struct tree
{
    long long cnt,even,odd;
    long long l,r;
    tree() {}
    tree(long long c,long long e,long long o,long long _l,long long _r)
    {
        cnt=c;
        even=e;
        odd=o;
        l=_l;
        r=_r;
    }
};
struct segmentTree
{
    vector<tree> v;
    segmentTree()
    {
        v.push_back({0,0,0,-1,-1});
    }
    void makeLeft(long long i)
    {
        v[i].l=v.size();
        v.push_back({0,0,0,-1,-1});
    }

    void makeRight(long long i)
    {
        v[i].r=v.size();
        v.push_back({0,0,0,-1,-1});
    }

    void update(long long i,long long l,long long r,long long idx,long long val)
    {
        if(l==r)
        {
            v[i].cnt+=val;
            v[i].even=v[i].cnt/2*l;
            v[i].odd=(v[i].cnt/2+v[i].cnt%2)*l;
            return;
        }
        long long m=(l+r)/2;
        if(idx<=m)
        {
            if(v[i].l==-1)makeLeft(i);
            update(v[i].l,l,m,idx,val);
        }
        else
        {
            if(v[i].r==-1)makeRight(i);
            update(v[i].r,m+1,r,idx,val);
        }

        long long lf=v[i].l,rt=v[i].r;
        v[i].cnt=0;
        if(lf!=-1)v[i].cnt+=v[lf].cnt;
        if(rt!=-1)v[i].cnt+=v[rt].cnt;

        if(lf==-1)
        {
            v[i].even=v[rt].even;
            v[i].odd=v[rt].odd;
        }
        else if(rt==-1)
        {
            v[i].even=v[lf].even;
            v[i].odd=v[lf].odd;
        }
        else if(v[lf].cnt%2==0)
        {
            v[i].even=v[lf].even+v[rt].even;
            v[i].odd=v[lf].odd+v[rt].odd;
        }
        else
        {
            v[i].even=v[lf].even+v[rt].odd;
            v[i].odd=v[lf].odd+v[rt].even;
        }
        //cout<<l<<" "<<r<<" "<<t[i].cnt<<" "<<t[i].even<<" "<<t[i].odd<<endl;
    }
};

segmentTree t;
long long n,q,a[maxn];
void read()
{
    cin>>n>>q;
    for(long long i=1;i<=n;i++)
    {
        cin>>a[i];
        t.update(0,1,maxc,a[i],+1);
    }
}

void solve()
{
    if(n%2==0)cout<<t.v[0].even<<endl;
    else cout<<t.v[0].odd<<endl;

    for(long long i=1;i<=q;i++)
    {
        long long x,v;
        cin>>x>>v;
        t.update(0,1,maxc,a[x],-1);
        a[x]=v;
        t.update(0,1,maxc,a[x],+1);

        if(n%2==0)cout<<t.v[0].even<<endl;
        else cout<<t.v[0].odd<<endl;
    }
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    read();
    solve();
    return 0;
}
