#include <bits/stdc++.h>
#define MAXN 100008
#define endl '\n'
using namespace std;

int a[MAXN*2];
int n, k;
bool rec(int ind, int mask)
{
    if ( ind == n ) return 1;

    bool ret = true;
    bool goodDiff = false;
    for (int i=ind+1; i<n*2; i++)
    {
        int diff = a[i] - a[ind];
        if ( diff < 0 ) diff = -diff;

        if ( diff <= k )
        {
            if ( (mask & (1<<i)) == 0 )
            {
                goodDiff = true;
                ret &= rec(ind+1, mask | (1<<i));
            }
        }

        if ( !ret ) return false;
    }
    if ( !goodDiff ) return false;
}

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int T;
    cin >> T;
    for (int h=0; h<T; h++)
    {

        cin >> n >> k;
        for (int i=0; i<2*n; i++)
        {
            cin >> a[i];
        }
        if ( k == 0 ) // fourth
        {
            unordered_map<int,int> m;
            for (int i=0; i<2*n; i++)
            {
                ++m[ a[i] ];
            }

            // k == 0
            bool flag = true;
            for (auto [el, br] : m)
            {
                if ( br & 1 )
                {
                    flag = false;
                    break;
                }
            }

            if ( flag ) cout << "Yes" << endl;
            else cout << "No" << endl;
        }
        else
        {
            if ( rec(0, 0) )  cout << "Yes" << endl;
            else cout << "No" << endl;
        }

    }
}
/**
4
2 1
3 4 1 2
2 0
1 1 1 1
2 0
1 1 2 2
2 0
1 1 1 2
-------------------
No
Yes
Yes
No
===============
1
2 0
1 1 1 2
------------------
No
*/
