#include <bits/stdc++.h>
#define endl '\n'
using namespace std;
const long long maxval=1e6+5;
const long long maxn=5*1e5+5;
long long n,q;
long long a[maxn];
long long bg[maxval];
long long maxx;
void read()
{
    maxx=1e6;
    cin>>n>>q;
    for(long long i=1;i<=n;i++)
    {
        cin>>a[i];
        bg[a[i]]++;
        maxx=max(maxx,a[i]);
    }
}

struct tree
{
    long long cnt,even,odd;
    tree(){}
    tree(long long c,long long e,long long o)
    {
        cnt=c;
        even=e;
        odd=o;
    }
};
tree t[4*maxval];
void build(long long i,long long l,long long r)
{
    if(l==r)
    {
        t[i].cnt=bg[l];
        t[i].even=t[i].cnt/2*l;
        t[i].odd=(t[i].cnt/2+t[i].cnt%2)*l;
        return;
    }
    long long m=(l+r)/2;
    build(i*2,l,m);
    build(i*2+1,m+1,r);

    t[i].cnt=t[i*2].cnt+t[i*2+1].cnt;
    if(t[i*2].cnt%2==0)
    {
        t[i].even=t[i*2].even+t[i*2+1].even;
        t[i].odd=t[i*2].odd+t[i*2+1].odd;
    }
    else
    {
        t[i].even=t[i*2].even+t[i*2+1].odd;
        t[i].odd=t[i*2].odd+t[i*2+1].even;
    }
    //cout<<l<<" "<<r<<" "<<t[i].cnt<<" "<<t[i].even<<" "<<t[i].odd<<endl;
}


void update(long long i,long long l,long long r,long long idx,long long val)
{
    if(l==r)
    {
        t[i].cnt+=val;
        t[i].even=t[i].cnt/2*l;
        t[i].odd=(t[i].cnt/2+t[i].cnt%2)*l;
        return;
    }
    long long m=(l+r)/2;
    if(idx<=m)update(i*2,l,m,idx,val);
    else update(i*2+1,m+1,r,idx,val);

    t[i].cnt=t[i*2].cnt+t[i*2+1].cnt;
    if(t[i*2].cnt%2==0)
    {
        t[i].even=t[i*2].even+t[i*2+1].even;
        t[i].odd=t[i*2].odd+t[i*2+1].odd;
    }
    else
    {
        t[i].even=t[i*2].even+t[i*2+1].odd;
        t[i].odd=t[i*2].odd+t[i*2+1].even;
    }
    //cout<<l<<" "<<r<<" "<<t[i].cnt<<" "<<t[i].even<<" "<<t[i].odd<<endl;
}
void solve()
{
    build(1,1,maxx);
    if(n%2==0)cout<<t[1].even<<endl;
    else cout<<t[1].odd<<endl;
    for(long long i=1;i<=q;i++)
    {
        long long x,v;
        cin>>x>>v;
        update(1,1,maxx,a[x],-1);
        a[x]=v;
        update(1,1,maxx,a[x],1);

        if(n%2==0)cout<<t[1].even<<endl;
        else cout<<t[1].odd<<endl;
    }
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    read();
    solve();
    return 0;
}
