#include <bits/stdc++.h>;
using namespace std;
const long long maxn=1e5+5;
struct itv
{
    long long len,l,r;
    itv() {}
    itv(long long _len,long long _l,long long _r)
    {
        len=_len;
        l=_l;
        r=_r;
    }

    bool operator<(const itv&i)const
    {
        if(i.len==len)return i.l<l;
        return i.len>len;
    }
};

long long k,n,q;
long long a[maxn];
long long b[maxn];
priority_queue<itv> pq;
long long ans[3*maxn];

void read()
{
    for(long long i=1; i<=n; i++)
    {
        cin>>a[i];
        ans[i]=a[i];
    }
    for(long long i=1; i<=q; i++)
        cin>>b[i];
}


void solve()
{
    if(n==0)pq.push({k,1,k});
    for(long long i=1; i<=n; i++)
    {
        if(i==1)
        {
            pq.push({a[i]-1,1,a[i]-1});
        }
        if(i==n)
        {
            pq.push({k-a[i],a[i]+1,k});
        }
        if(i>1)
        {
            pq.push({a[i]-1-a[i-1],a[i-1]+1,a[i]-1});
        }
    }

    for(long long i=n+1; i<=b[q]; i++)
    {
        itv t=pq.top();
        pq.pop();
        long long m=(t.l+t.r)/2;
        pq.push({m-t.l,t.l,m-1});
        pq.push({t.r-m,m+1,t.r});
        ans[i]=m;
    }
}

long long maxbt;
void solve2()
{
    long long maxx=1;
    while(maxx<=k)
    {
        maxbt++;
        maxx*=2;
    }
    maxbt--;
    for(long long i=1;i<=q;i++)
    {
        long long x;
        cin>>x;
        for(long long j=maxbt;j>=0;j--)
        {
            if((1<<j)<=x)
            {
                long long ans=(1<<(maxbt-j));
                x-=(1<<j);
                ans+=(x<<(maxbt-j+1));
                cout<<ans<<endl;
                break;
            }
        }
    }
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    cin>>k>>n>>q;
    if(n!=0)
    {
        read();
        solve();
        for(long long i=1; i<=q; i++)
        {
            cout<<ans[b[i]]<<endl;
        }
        return 0;
    }
    solve2();
    return 0;
}
/*
15 0 15
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15

3            8
2            4
2 3          12
1            2
1 2          6
1 3          10
1 2 3        14
0            1
0 1          3
0 2          5
0 1 2        7
0 3          9
0 1 3        11
0 2 3        13
0 1 2 3      15
*/
