#include <bits/stdc++.h>
using namespace std;

const int maxn = 5e5+2;
int n, q, pos;
long long a[maxn], sa[maxn], val;

int bin_search(int x)
{
    int l = 1, r = n;
    int mid = (l+r) >> 1, ans;
    while (l <= r)
    {
        if (sa[mid] <= x)
        {
            ans = mid;
            l = mid+1;
        }
        else r = mid-1;
        mid = (l+r) >> 1;
    }
    return ans;
}

void read()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    cin >> n >> q ;
    int i;
    bool lamp;
    if (n&1) lamp = true;
    else lamp = false;

    long long s1 = 0, s2 = 0;
    for (i=1; i<=n; ++i)
    {
        cin >> a[i] ;
        sa[i] = a[i];
    }

    sort(sa+1, sa+n+1);
    for (i=1; i<=n; ++i)
    {
        if (i&1) s1 += sa[i];
        else s2 += sa[i];
    }

    if (lamp) cout << s1  << '\n' ;
    else cout << s2 << '\n' ;

    int l, k;
    long long x;
    for (l=1; l<=q; ++l)
    {
        cin >> pos >> val ;
        x = a[pos];
        a[pos] = val;
        k = bin_search(x);
        sa[k] = val;

        while (k < n && sa[k] > sa[k+1])
        {
            sa[k] = sa[k] + sa[k+1];
            sa[k+1] = sa[k] - sa[k+1];
            sa[k] = sa[k] - sa[k+1];
            ++ k;
        }

        while (k > 1 && sa[k] < sa[k-1])
        {
            sa[k] = sa[k] + sa[k-1];
            sa[k-1] = sa[k] - sa[k-1];
            sa[k] = sa[k] - sa[k-1];
            -- k;
        }


        s1 = 0, s2 = 0;
        for (i=1; i<=n; ++i)
        {
            //cout << sa[i] << "*" ;
            if (i&1) s1 += sa[i];
            else s2 += sa[i];
        }
        //cout << '\n';
        if (lamp) cout << s1  << '\n' ;
        else cout << s2 << '\n' ;
    }
}

int main()
{
    read();
    return 0;
}