#include<bits/stdc++.h>
using namespace std;
const int MAX_N=300000;
struct Seats
{
    int quantity;
    int left=0;
    int right=0;
};
void left_seats(vector<Seats> &seats, int &K, vector<bool> &metro);
bool myCmp(Seats a, Seats b);
bool myCmp_index(Seats a, Seats b);
void filler(vector<bool> &metro, vector<int> &people, int &N, int &K, int &MAX_K, vector<Seats> &seats);
int main ()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    vector<bool> metro;
    vector<int> people;
    vector<Seats> seats;
    metro.resize(MAX_N);
    people.resize(MAX_N);
    int K, N, Q;
    int seat;
    cin>>K>>N>>Q;
    for(int i=1; i<=N; i++)
    {
        cin>>seat;
        metro[seat]=true;
        people[i]=seat;
    }
    int person, last_index=N;
    left_seats(seats, K, metro);
    for(int i=0; i<Q; i++)
    {
        cin>>person;
        if(person<=N)
        {
            cout<<people[person]<<endl;
        }
        else
        {
            filler(metro, people, N, person, K, seats);
            N=person;
//            cout<<"person #: ";
//            for(int x=1; x<=K; x++)
//            {
//                cout<<x<<" ";
//            }
//            cout<<endl;
//            cout<<"seat #  : ";
//            for(int x=1; x<=K; x++)
//            {
//                cout<<people[x]<<" ";
//            }
//            cout<<endl;
            cout<<people[person]<<endl;
        }
    }
    return 0;
}
void left_seats(vector<Seats> &seats, int &K, vector<bool> &metro)
{
    int hole=0, hole_l=1;
    for(int x=1; x<=K; x++)
    {
        if(metro[x]==false)
        {
            hole++;
        }
        else
        {
            if(hole!=0)
            {
                Seats seat;
                seat.left=hole_l;
                seat.quantity=hole;
                seat.right=hole_l+hole-1;
                seats.push_back(seat);
            }
            hole=0;
            hole_l=x+1;
        }
    }
    if(hole!=0)
    {
        Seats seat;
        seat.left=hole_l;
        seat.quantity=hole;
        seat.right=hole_l+hole-1;
        seats.push_back(seat);
    }
}
bool myCmp(Seats a, Seats b)
{
    return a.quantity>b.quantity;
}
bool myCmp_index(Seats a, Seats b)
{
    return a.left<b.left;
}
void filler(vector<bool> &metro, vector<int> &people, int &N, int &K, int &MAX_K, vector<Seats> &seats)
{
    for(int j=N+1; j<=K; j++)
    {
        sort(seats.begin(), seats.end(), myCmp_index);
        sort(seats.begin(), seats.end(), myCmp);
//        cout<<"---"<<endl;
//        for(int i=0; i<seats.size(); i++)
//        {
//            cout<<seats[i].quantity<<" "<<seats[i].left<<" "<<seats[i].right<<endl;
//        }
//        cout<<"---"<<endl;
        Seats seat=seats[0];
        int value;
        if(seats[0].quantity%2==0)
        {
            seats[0].right=seats[0].left+seats[0].quantity/2-2;
            seats[0].quantity=seats[0].quantity/2-1;
            seat.left=seats[0].right+2;
            seat.quantity-=(seats[0].quantity+1);
            seats.push_back(seat);
            value=seat.left-1;
        }
        else
        {
            seats[0].right=seats[0].left+seats[0].quantity/2-1;
            seats[0].quantity=seats[0].right-seats[0].left+1;
            seat.left=seats[0].right+2;
            seat.quantity=seats[0].quantity;
            seats.push_back(seat);
            value=seat.left-1;
        }
        people[j]=value;
        metro[value]=true;
    }
}
